Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.csiv2
Class SASTargetInterceptor

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.iiop.csiv2.SASTargetInterceptor

All Implemented Interfaces:
  IDLEntity, Interceptor, InterceptorOperations, Object, Serializable, ServerRequestInterceptor, ServerRequestInterceptorOperations

public class SASTargetInterceptor
extends LocalObject
implements ServerRequestInterceptor

This implementation of `org.omg.PortableInterceptor.ServerRequestInterceptor` extracts the security attribute service (SAS) context from incoming IIOP and inserts SAS messages into the SAS context of outgoing IIOP replies.

Version:
  $Revision: 1.2 $
Author:
  Francisco Reverbel
See Also:
  Serialized Form

Constructor Summary
`SASTargetInterceptor(Codec codec)`

Method Summary
`void` | `destroy()`
`String` | `name()`
`void` | `receive_request_service_contexts(ServerRequestInfo ri)`
`void` | `receive_request(ServerRequestInfo ri)`
`void` | `send_exception(ServerRequestInfo ri)`
`void` | `send_other(ServerRequestInfo ri)`
`void` | `send_reply(ServerRequestInfo ri)`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### SASTargetInterceptor

    public SASTargetInterceptor(Codec codec)

Method Detail

### name

    public String name()

  Specified by:
    `name` in interface `InterceptorOperations`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `InterceptorOperations`

### receive_request_service_contexts

    public void receive_request_service_contexts(ServerRequestInfo ri)

  Specified by:
    `receive_request_service_contexts` in interface `ServerRequestInterceptorOperations`

### receive_request

    public void receive_request(ServerRequestInfo ri)

  Specified by:
    `receive_request` in interface `ServerRequestInterceptorOperations`

### send_reply

    public void send_reply(ServerRequestInfo ri)

  Specified by:
    `send_reply` in interface `ServerRequestInterceptorOperations`

### send_exception

    public void send_exception(ServerRequestInfo ri)

  Specified by:
    `send_exception` in interface `ServerRequestInterceptorOperations`

### send_other

    public void send_other(ServerRequestInfo ri)

  Specified by:
    `send_other` in interface `ServerRequestInterceptorOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.